Name:           python-pytest-subprocess
Version:        1.5.3
Release:        %mkrel 1
Summary:        A plugin to fake subprocess for pytest
Group:          Development/Python
License:        MIT
URL:            https://github.com/aklajnert/pytest-subprocess
Source0:        %{url}/archive/%{version}/pytest-subprocess-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
The plugin adds the fake_subprocess fixture. It can be used it to register
subprocess results so you won't need to rely on the real processes.
The plugin hooks on the subprocess.Popen(), which is the base for other
subprocess functions. That makes the subprocess.run(), subprocess.call(),
subprocess.check_call() and subprocess.check_output() methods also functional.

%package -n python3-pytest-subprocess
Summary:        A plugin to fake subprocess for pytest
Group:          Development/Python

%description -n python3-pytest-subprocess
The plugin adds the fake_subprocess fixture. It can be used it to register
subprocess results so you won't need to rely on the real processes.
The plugin hooks on the subprocess.Popen(), which is the base for other
subprocess functions. That makes the subprocess.run(), subprocess.call(),
subprocess.check_call() and subprocess.check_output() methods also functional.


%prep
%autosetup -p1 -n pytest-subprocess-%{version}
# avoid unneeded test dependencies
sed -Ei '/\bcoverage\b/d' setup.py

# Don't turn warning into errors when running tests
# https://github.com/aklajnert/pytest-subprocess/issues/146
sed -i '/error/d' pytest.ini


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_subprocess


%check
%pytest


%files -n python3-pytest-subprocess -f %{pyproject_files}
%doc README.rst HISTORY.rst


%changelog
* Tue Jun 17 2025 daviddavid <daviddavid> 1.5.3-1.mga10
+ Revision: 2192150
- new version: 1.5.3

* Sun Mar 02 2025 wally <wally> 1.5.2-2.mga10
+ Revision: 2158502
- rebuild for python3.13

* Tue Aug 06 2024 daviddavid <daviddavid> 1.5.2-1.mga10
+ Revision: 2083739
- new version: 1.5.2

* Sat Apr 20 2024 daviddavid <daviddavid> 1.5.0-1.mga10
+ Revision: 2060113
- initial package python-pytest-subprocess

